%GQF_EXPLOG Gauss quadrature formulae for the weight function 
%w(x)=x^a*exp(-x)*log(1+1/x) on [0,Inf], a=0, 1, 3, 5
global a ab_explog_fin ab_explog_inf
N=10;
a=input('enter the value of a');
if a==0
  ab_explog_fin=loadvpa('coeff_explog0_fin.txt',9,32,65,2);
  ab_explog_inf=loadvpa('coeff_explog0_inf.txt',9,32,65,2);
elseif a==1
  ab_explog_fin=loadvpa('coeff_explog1_fin.txt',9,32,64,2);
  ab_explog_inf=loadvpa('coeff_explog1_inf.txt',9,32,64,2);
elseif a==3
  ab_explog_fin=loadvpa('coeff_explog3_fin.txt',9,32,63,2);
  ab_explog_inf=loadvpa('coeff_explog3_inf.txt',9,32,63,2);
elseif a==5
  ab_explog_fin=loadvpa('coeff_explog5_fin.txt',9,32,62,2);
  ab_explog_inf=loadvpa('coeff_explog5_inf.txt',9,32,62,2);
else
  error('a not in range');
end
dig=32;
ab=sr_explog(32);
for n=1:N
  xw=sgauss(dig,n,ab)
end 
